Index: /trunk/phpgwapi/js/dftree/dftree.js
===================================================================
--- /trunk/phpgwapi/js/dftree/dftree.js	(revision 2547)
+++ /trunk/phpgwapi/js/dftree/dftree.js	(revision 2563)
@@ -276,9 +276,9 @@
 	var plusEventHandler = function(){
 		_this.changeState();
-	}
+	};
 
 	var captionEventHandler = function(){
 		eval(captionOnClickEvent);
-	}
+	};
 
 /*	if (this.myTree.followCookies)
Index: /trunk/expressoMail1_2/js/jscode/local_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2519)
+++ /trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2563)
@@ -20,10 +20,10 @@
         {
             return this.Answered;
-        }
+        };
 
         HeaderFlags.prototype.setAnswered = function(answered)
         {
             this.Answered = answered;
-        }
+        };
 
         //HeaderFlags.prototype.getDraft = function()
@@ -35,30 +35,30 @@
         {
             this.Draft = draft;
-        }
+        };
 
         HeaderFlags.prototype.getFlagged = function()
         {
             return this.Flagged;
-        }
+        };
 
         HeaderFlags.prototype.setFlagged = function(flagged)
         {
             this.Flagged = flagged;
-        }
+        };
 
         HeaderFlags.prototype.getRecent = function()
         {
             return this.Recent;
-        }
+        };
 
         HeaderFlags.prototype.setRecent = function(recent)
         {
             this.Recent = recent;
-        }
+        };
 
         function FlagsParser(headerObj)
         {
             this.Header = headerObj;
-        }
+        };
 
         FlagsParser.prototype.parse = function()
@@ -100,5 +100,5 @@
             return flags;
 
-        }
+        };
         
 	local_messages.prototype.installGears = function (){
@@ -116,5 +116,5 @@
 		}
 		else return false;
-	}
+	};
 
 	local_messages.prototype.create_objects = function() {
@@ -128,5 +128,5 @@
 		}
 		catch(e){}
-	}
+	};
 
 	local_messages.prototype.init_local_messages = function(){ //starts only database operations
@@ -212,5 +212,5 @@
 		}
 
-	}
+	};
 	
 	local_messages.prototype.drop_tables = function() {
@@ -225,5 +225,5 @@
 		this.dbGears.execute('drop table anexo');
 		this.finalize();
-	}
+	};
 	/**
 	 * @Depracated Use of this function in mail_sync.js
@@ -297,5 +297,5 @@
                         this.dbGears.execute("insert into mail (mail,original_id,original_folder,header,timestamp,uid_usuario,unseen,id_folder,ffrom,subject,fto,cc,body,size,answered,flagged,recent) values (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",[mail,original_id,original_folder,header,timestamp,login,unseen,id_folder,from,subject,to,cc,body,size,flags.getAnswered(),flags.getFlagged(),flags.getRecent()]);
 			var call_back = function() {
-			}
+			};
 			this.store.capture(msg_info.url_export_file,call_back);
 			var id_mail = this.dbGears.lastInsertRowId;
@@ -310,5 +310,5 @@
 
 
-	}
+	};
 	
 	/**
@@ -324,5 +324,5 @@
 		var matches = id_mail.match(/(.+)(_[a-zA-Z0-9]+)/);
 		return matches;
-	}
+	};
 	
 	local_messages.prototype.isInt = function(x) {
@@ -330,5 +330,5 @@
 		if (isNaN(y)) return false;
 		return x==y && x.toString()==y.toString();
-	} 
+	};
 	
 	local_messages.prototype.get_local_mail = function(id_mail) {
@@ -403,5 +403,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 
 	local_messages.prototype.insert_attachments = function(id_msg,anexos) { 
@@ -411,5 +411,5 @@
 			this.capt_url(anexos[i]['url']);
 		}
-	}
+	};
 
 	local_messages.prototype.capt_url = function (url) {
@@ -417,12 +417,12 @@
 		var call_back = function(url,success,captureId) {
 				//alert("Capturado: " + url);
-			}
+			};
 		//alert(url);
 		this.store.capture(url,call_back);
-	}
+	};
 
 	local_messages.prototype.strip_tags = function (str) {
 		return str.replace(/<\/?[^>]+>/gi, '');
-	}
+	};
 
 	local_messages.prototype.get_local_range_msgs = function(folder,msg_range_begin,emails_per_page,sort,sort_reverse,search,preview_msg_subject,preview_msg_tip) {
@@ -515,5 +515,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 	
 	local_messages.prototype.get_url_anexo = function(msg_number,pid) {
@@ -530,5 +530,5 @@
 		
 		return retorno;
-	}
+	};
 
 	local_messages.prototype.getInputFileFromAnexo = function (element,url) { 
@@ -537,10 +537,10 @@
 		fileSubmitter.setFileInputElement(element,url);
 		this.finalize();
-	}
+	};
 
 	local_messages.prototype.finalize = function() {
 		this.dbGears.close();
 		this.dbGears = null;
-	}
+	};
 
 	local_messages.prototype.delete_msgs = function(msgs_number,border_ID) {
@@ -581,5 +581,5 @@
 			delete_border(border_ID,'false');
 		
-	}
+	};
 	
 	local_messages.prototype.get_source_msg = function(id_msg) {
@@ -592,5 +592,5 @@
 
 		this.finalize();
-	}
+	};
 	
 	
@@ -663,9 +663,9 @@
 		this.finalize();
 
-	}
+	};
 	
 	local_messages.prototype.set_message_flag = function(msg_number,flag) {
 		this.set_messages_flag(msg_number,flag);
-	}
+	};
 	
 	local_messages.prototype.get_unseen_msgs_number = function() {
@@ -676,5 +676,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 
 	local_messages.prototype.create_folder = function(folder) {
@@ -693,5 +693,5 @@
 		this.finalize();
 		return true;
-	}
+	};
 
 	local_messages.prototype.list_local_folders = function(folder) {
@@ -718,5 +718,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 
 	local_messages.prototype.rename_folder = function(folder,old_folder) {
@@ -745,5 +745,5 @@
 		this.finalize();
 		return true;
-	}
+	};
 	
 	local_messages.prototype.remove_folder = function(folder) {
@@ -778,7 +778,7 @@
 		    this.finalize();
 			return false;
-	}
-
-	}
+		}
+
+	};
 
 	local_messages.prototype.move_messages = function(new_folder,msgs_number) {
@@ -789,5 +789,5 @@
 		this.dbGears.execute("update mail set id_folder="+id_folder+" where rowid in ("+msgs_number.toString()+")"); //usando statement nï¿œo tava funcionando quando tinha mais de um email...
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.search = function(folders,sFilter) {
@@ -878,15 +878,9 @@
 		return retorno==""?false:retorno;
 
-	}
+	};
 	
 	local_messages.prototype.aux_convert_size = function(size) {
-		var tmp = Math.floor(size/1024);
-		if(tmp >= 1){
-			return tmp + " kb";	
-		}else{
-			return size + " b";	
-		}
-		
-	}
+		return borkb(size);
+	};
 	
 	local_messages.prototype.aux_convert_filter_field = function(filter,date) {
@@ -938,5 +932,5 @@
                         return "recent = 0";
 
-	}
+	};
 	
 	local_messages.prototype.has_local_mails = function() {
@@ -950,5 +944,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 
      //Por Bruno Costa(bruno.vieira-costa@serpro.gov.br - Essa funï¿œï¿œo ï¿œ um AJAX simples que serve apenas para pegar o fonte de uma msg local (no formato RFC 822).
@@ -984,5 +978,5 @@
                 }
             }
-        }
+        };
 
         AJAX.open('get', url, false);
@@ -1038,5 +1032,5 @@
             params="&folder="+new_folder+"&source="+source+"&timestamp="+timestamp;
             cExecute ("expressoMail1_2.imap_functions.unarchive_mail&", handler_unarchive, params);
-    }
+    };
 
     local_messages.prototype.get_msg_date = function (original_id, is_local){
@@ -1069,5 +1063,5 @@
         this.finalize();
         return ret;
-    }
+    };
 
 
@@ -1084,5 +1078,5 @@
         }
         cExecute("expressoMail1_2.imap_functions.download_all_local_attachments",handler_source,"source="+source);
-    }
+    };
 
     /*************************************************************************/
@@ -1125,5 +1119,5 @@
         }
         return true;
-    }
+    };
 
     local_messages.prototype.get_all_local_folder_messages= function(folder_name){
@@ -1167,5 +1161,5 @@
           
 
-    }
+    };
 
 
@@ -1186,5 +1180,5 @@
 			return true;
 		
-	}
+	};
 	local_messages.prototype.update_offline = function(redirect) {
 		this.init_local_messages();
@@ -1203,5 +1197,5 @@
 		}
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.uninstall_offline = function() {
@@ -1221,5 +1215,5 @@
 		//this.dbGears.execute('drop table attachments_queue');
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.get_folders_to_sync = function() {//Precisa ter visibilidade ao array de linguagens.
@@ -1242,5 +1236,5 @@
 		this.finalize();
 		return retorno;
-	}
+	};
 	
 	local_messages.prototype.install_offline = function(urlOffline,urlIcone,uid_usuario,login,pass,redirect) {
@@ -1325,5 +1319,5 @@
 		
 		this.finalize();
-	}
+	};
 	
 	/**
@@ -1343,5 +1337,5 @@
 		this.finalize();
 		return users;
-	}
+	};
 	
 	local_messages.prototype.set_as_logged = function(uid_usuario,pass,bypass) {
@@ -1360,5 +1354,5 @@
 		this.finalize();
 		return true;
-	}
+	};
 	
 	local_messages.prototype.unset_as_logged = function() {
@@ -1366,5 +1360,5 @@
 		this.dbGears.execute("update user set logged=null"); //Logoff in everybody
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.user_logged = function() {
@@ -1380,5 +1374,5 @@
 		this.finalize();
 		return user_logged;
-	}
+	};
 	
 	local_messages.prototype.send_to_queue = function (form) {
@@ -1430,5 +1424,5 @@
 		this.finalize();
 		return true;
-	}
+	};
 	
 	local_messages.prototype.send_attach_to_queue = function(id_queue,form) {
@@ -1448,5 +1442,5 @@
 			}
 		}
-	}
+	};
 
 	
@@ -1459,5 +1453,5 @@
 		this.finalize();
 		return to_return;
-	}
+	};
 	
 	local_messages.prototype.set_problem_on_sent = function(rowid_message,msg) {
@@ -1466,5 +1460,5 @@
 		this.dbGears.execute("insert into sent_problems (id_queue,message) values (?,?)"[rowid_message,msg]);
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.set_as_sent = function(rowid_message) {
@@ -1472,5 +1466,5 @@
 		this.dbGears.execute("update queue set sent = 1 where rowid=?",[rowid_message]);
 		this.finalize();
-	}
+	};
 	
 	local_messages.prototype.get_form_msg_to_send = function() {
@@ -1592,5 +1586,5 @@
 		this.finalize();
 		return form;
-	}
+	};
 
 	var expresso_local_messages;
Index: /trunk/expressoMail1_2/js/modal/modal.js
===================================================================
--- /trunk/expressoMail1_2/js/modal/modal.js	(revision 2521)
+++ /trunk/expressoMail1_2/js/modal/modal.js	(revision 2563)
@@ -14,5 +14,5 @@
 	catch(e){
 		alert(e);
-	}
+	};
 	var objBody = document.getElementsByTagName("body").item(0);
 	
@@ -135,5 +135,5 @@
 	}
 	
-	arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight) 
+	arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight);
 	return arrayPageSize;
 }
@@ -151,5 +151,5 @@
 	}
 
-	arrayPageScroll = new Array('',yScroll) 
+	arrayPageScroll = new Array('',yScroll);
 	return arrayPageScroll;
 }