Index: trunk/expressoMail1_2/js/jscode/local_messages.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2563)
+++ trunk/expressoMail1_2/js/jscode/local_messages.js	(revision 2566)
@@ -446,5 +446,5 @@
 		}
 		
-		sql = 'select mail.rowid as rowid,mail.header as header,mail.size as size,mail.timestamp as timestamp,mail.unseen as unseen,mail.body as body,case when lower(mail.ffrom) like ? then ltrim(ltrim(substr(UPPER(ffrom),21,length(ffrom)),\':\'),\'"\') else ltrim(ltrim(substr(UPPER(fto),7,length(fto)),\':\'),\'"\') end as order_from,mail.subject from mail inner join folder on mail.id_folder=folder.rowid where mail.uid_usuario=? and folder.folder=? order by '
+		sql = 'select mail.rowid as rowid,mail.header as header,mail.size as size,mail.timestamp as timestamp,mail.unseen as unseen,mail.body as body,case when lower(mail.ffrom) like ? then ltrim(ltrim(substr(UPPER(ffrom),21,length(ffrom)),\':\'),\'"\') else ltrim(ltrim(substr(UPPER(fto),7,length(fto)),\':\'),\'"\') end as order_from,mail.subject from mail inner join folder on mail.id_folder=folder.rowid where mail.uid_usuario=? and folder.folder=? order by ';
 		
 		if(sort == 'SORTFROM') {
@@ -526,5 +526,5 @@
 		var retorno;
 		var rs = this.dbGears.execute("select url from anexo where id_mail="+msg_number+" and pid = '"+pid+"'");
-		retorno = rs.field(0)
+		retorno = rs.field(0);
 		this.finalize();
 		
@@ -589,5 +589,5 @@
 
 		mail = expresso.connector.unserialize(rs.field(0));		
-		download_local_attachment(mail.url_export_file)
+		download_local_attachment(mail.url_export_file);
 
 		this.finalize();
@@ -999,8 +999,8 @@
             else
                 alert(data.error);
-        }
+        };
         if(msgs_number =='selected' || !msgs_number)
         {
-            msgs_number = get_selected_messages()
+            msgs_number = get_selected_messages();
             if (!msgs_number){
                 write_msg(get_lang('No selected message.'));
@@ -1076,5 +1076,5 @@
         var handler_source = function(data){
             download_attachments(null, null, data, null,null,'anexos.zip');
-        }
+        };
         cExecute("expressoMail1_2.imap_functions.download_all_local_attachments",handler_source,"source="+source);
     };
@@ -1094,5 +1094,5 @@
         var handler_local_mesgs_to_export = function(data){
             download_attachments(null, null, data, null,null,'mensagens.zip');
-        }
+        };
         if(msgs_to_export_id){
             this.init_local_messages();
@@ -1133,13 +1133,13 @@
         var query = "select mail,subject,mail.rowid from mail inner join folder on (mail.id_folder=folder.rowid) where folder.folder='" + folder_name + "'";
 
-        var rs = this.dbGears.execute(" "+query)
+        var rs = this.dbGears.execute(" "+query);
 
             var handler_local_mesgs_to_export = function(data){
                     //alert("data - " + data + " - tipo - " + typeof(data));
                     download_attachments(null, null, data, null,null,'mensagens.zip');
-            }
+            };
         var j=0;
         while (rs.isValidRow()){
-              msgs_to_export[j]=rs.field(2)
+              msgs_to_export[j]=rs.field(2);
               mail = expresso.connector.unserialize(rs.field(0));
                       mail.msg_source?src = mail.msg_source:src = this.get_src(mail.url_export_file);
@@ -1190,5 +1190,5 @@
 				if(redirect!=null)
 					location.href=redirect;
-			}
+			};
 			
 			managedStore.checkForUpdate();
@@ -1282,5 +1282,5 @@
 		managedStore.onerror = function (error) {
 			alert(error);
-		}
+		};
 		
 		managedStore.oncomplete = function(details) {
@@ -1291,5 +1291,5 @@
 				location.href=redirect;
 			}
-		}
+		};
 
 		//create structure to user in db
@@ -1458,5 +1458,5 @@
 		this.init_local_messages();
 		this.dbGears.execute("update queue set sent = 2 where rowid=?",[rowid_message]);
-		this.dbGears.execute("insert into sent_problems (id_queue,message) values (?,?)"[rowid_message,msg]);
+		this.dbGears.execute("insert into sent_problems (id_queue,message) values (?,?)",[rowid_message,msg]);
 		this.finalize();
 	};
@@ -1478,5 +1478,5 @@
 		form.name = 'form_queue_'+rs.field(8);
 		form.style.display = 'none';
-		form.onsubmit = function(){return false;}
+		form.onsubmit = function(){return false;};
 		if(!is_ie)
 			form.enctype="multipart/form-data";