Index: trunk/expressoMail1_2/js/jscode/drag_area.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2561)
+++ trunk/expressoMail1_2/js/jscode/drag_area.js	(revision 2572)
@@ -133,5 +133,5 @@
 	{
 		return false;
-	}
+	};
 	
 	var _this = this;
@@ -151,10 +151,10 @@
 	};	
 	
-}
+};
 
 DragArea.prototype.makeDragged = function(element, msg_number, subject, from_list, folder){
 	element.oncontextmenu = function(e) {
 		return false;
-	}
+	};
 	var _this = this;
 	element.onmousedown = function (e){
@@ -192,5 +192,5 @@
 		return true;
 	};	
-}
+};
 DragArea.prototype.showLayerDrag = function(e){
 
@@ -214,16 +214,16 @@
 	this.div_dd.innerHTML = "<img align='center' src='"+this.envelope.src+"'>&nbsp;<span id='content_dd'><font color='red' weight='bold'><b>"+this.subject+"</b></span></font>";
 	this.div_dd.style.display ='';
-}
+};
 
 DragArea.prototype.onSelectStart = function(value){
 	if(!value) {
-		document.body.onselectstart = function (e){return false;}
-		document.body.ondragstart = function (e){return false;}
+		document.body.onselectstart = function (e){return false;};
+		document.body.ondragstart = function (e){return false;};
 	}
 	else {
-		document.body.onselectstart = function (e){return true;}
-		document.body.ondragstart = function (e){return true;}
-	}
-}
+		document.body.onselectstart = function (e){return true;};
+		document.body.ondragstart = function (e){return true;};
+	}
+};
 
 DragArea.prototype.mouseMoveDrag = function(e){		
@@ -254,3 +254,3 @@
 
 	return false;
-}
+};
Index: trunk/expressoMail1_2/js/jscode/InfoContact.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2561)
+++ trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 2572)
@@ -21,5 +21,5 @@
 	card.innerHTML = "<table onmouseout='InfoContact.timeout_hide=setTimeout(\"InfoContact.hide()\",50);' onmouseover='clearTimeout(InfoContact.timeout_hide);' cellpadding=0 cellspacing=0 width='100%' height='100%'><tr><td valign='center' align='center' id='card_cc_td'></td></tr></table>";
 	document.body.appendChild(card);
-}
+};
 emInfoContact.prototype.begin = function(td, email){
 
@@ -32,5 +32,5 @@
 	}
 	this.timeout = setTimeout("InfoContact.search('"+email+"')",1000);		
-}
+};
 
 emInfoContact.prototype.label = function (text){
@@ -52,5 +52,5 @@
 	div_label.style.display = '';
 	setTimeout("InfoContact.hide()",1000);
-}
+};
 
 emInfoContact.prototype.connectVoip = function (phoneUser, typePhone){
@@ -62,7 +62,7 @@
 			alert(get_lang("Requesting a VoIP call")+":\n"+data);
 		}
-	}
+	};
 	cExecute ("expressoMail1_2.functions.callVoipConnect&to="+phoneUser+"&typePhone="+typePhone, handler_connectVoip);
-}
+};
 
 emInfoContact.prototype.show = function (data){
@@ -101,5 +101,5 @@
 
 	this.timeout_hide = setTimeout("InfoContact.hide()",1000);	
-}
+};
 
 emInfoContact.prototype.search = function (email){
@@ -123,5 +123,5 @@
 		else
 			_this.label(email);			
-	}
+	};
 	
 	if (trustedDomain)
@@ -129,5 +129,5 @@
 	else
 		_this.label(email);
-}
+};
 
 emInfoContact.prototype.hide = function(){
@@ -138,5 +138,5 @@
 	if(Element("card_cc")) 
 		Element("card_cc").style.display = "none";	
-}
+};
 
 emInfoContact.prototype.sendMail = function(name, email){
@@ -144,9 +144,9 @@
 	InfoContact.hide();
 	new_message("new","null");
-}
+};
 
 emInfoContact.prototype.openChat = function(event, email){
 	IM.action_button(event, '1', email ,false);
-}
+};
 
 emInfoContact.prototype.verifyIM = function(uid, email){
@@ -172,5 +172,5 @@
 
 	return _return;
-}
+};
 /* Build the Object */
 var emInfoContact;
Index: trunk/expressoMail1_2/js/jscode/messages_controller.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/messages_controller.js	(revision 2519)
+++ trunk/expressoMail1_2/js/jscode/messages_controller.js	(revision 2572)
@@ -18,5 +18,5 @@
 			cExecute ("expressoMail1_2.imap_functions.get_range_msgs2&folder="+folder+"&msg_range_begin="+msg_range_begin+"&msg_range_end="+emails_per_page+"&sort_box_type="+sort_box_type+ "&search_box_type="+ search_box_type +"&sort_box_reverse="+sort_box_reverse+"", call_back);
 		}
-	}
+	};
 
 	messages_proxy.prototype.get_msg = function(msg_number,msg_folder,set_flag,call_back) {
@@ -31,5 +31,5 @@
 			cExecute("expressoMail1_2.imap_functions.get_info_msg&msg_number="+ msg_number + "&msg_folder=" + url_encode(msg_folder), call_back);
 		}
-	}
+	};
 	
 	messages_proxy.prototype.delete_msgs = function(folder, msgs_number, border_ID) {
@@ -46,5 +46,5 @@
 			draw_tree_local_folders();
 		}
-	}
+	};
 	
 	messages_proxy.prototype.link_anexo = function (info_msg,numero_ordem_anexo) {
@@ -58,5 +58,5 @@
 			return "javascript:download_attachments('"+info_msg.msg_folder+"','"+info_msg.msg_number+"',"+numero_ordem_anexo+",'"+info_msg.attachments[numero_ordem_anexo].pid+"','"+info_msg.attachments[numero_ordem_anexo].encoding+"','"+info_msg.attachments[numero_ordem_anexo].name+"')";
 		}
-	}
+	};
 
 	messages_proxy.prototype.proxy_source_msg = function (id_msg,folder) {
@@ -68,5 +68,5 @@
 			expresso_local_messages.get_source_msg(num_msg);
 		}
-	}
+	};
 	
 	messages_proxy.prototype.proxy_set_messages_flag = function (flag,msg_number){
@@ -77,9 +77,9 @@
 			set_messages_flag(flag,msg_number);
 		}
-	}
+	};
 	
 	messages_proxy.prototype.proxy_set_message_flag = function (msg_number,flag){
 		var msg_number_folder = Element("new_input_folder_"+msg_number+"_r");
-		var folder = msg_number_folder ?  msg_number_folder.value : get_current_folder()
+		var folder = msg_number_folder ?  msg_number_folder.value : get_current_folder();
 		if(this.is_local_folder(folder)) {
 			expresso_local_messages.set_message_flag(msg_number,flag);
@@ -88,5 +88,5 @@
 			set_message_flag(msg_number,flag);
 		}
-	}
+	};
 	
 	messages_proxy.prototype.is_local_folder = function(folder) {
@@ -94,5 +94,5 @@
 			return false;
 		return true;
-	}
+	};
 	
 
@@ -122,5 +122,5 @@
 		}
 		
-	}
+	};
 
 	messages_proxy.prototype.proxy_create_folder = function() {
@@ -147,5 +147,5 @@
 			else 
 				alert(get_lang("It's not possible create inside: ") + lang_folder(ttree.FOLDER.substr(6)));
-	}
+	};
 	
 	messages_proxy.prototype.proxy_remove_folder = function() {
@@ -176,5 +176,5 @@
 		else
 			ttreeBox.del();
-	}
+	};
 
 	messages_proxy.prototype.proxy_move_messages = function (folder, msgs_number, border_ID, new_folder, new_folder_name) {
@@ -218,5 +218,5 @@
 		
 		
-	}
+	};
 	
 	messages_proxy.prototype.proxy_move_search_messages = function(border_id, new_folder, new_folder_name) {
@@ -252,5 +252,5 @@
 				write_msg(get_lang("you can't move mails from local to server folders"));
 			}*/
-	}
+	};
 	
 	messages_proxy.prototype.aux_interface_remove_mails = function(msgs_number,new_folder_name,border_ID,previous_msg) {
@@ -279,5 +279,5 @@
 		refresh();		
 		
-	}
+	};
 
    	messages_proxy.prototype.msg_img = function(msgs_number,folder_name,call_back) {
@@ -291,5 +291,5 @@
         cExecute('expressoMail1_2.imap_functions.get_info_msg&msg_number='+msgs_number+'&msg_folder='+url_encode(folder_name),call_back);
      }
-    }
+    };
 
     messages_proxy.prototype.export_all_messages = function(folder){
@@ -304,5 +304,5 @@
 			local_messages.prototype.local_messages_to_export();
 		}
-	}
+	};
 
     	messages_proxy.prototype.proxy_export_all_msg=function(){
@@ -322,5 +322,5 @@
 			expresso_local_messages.get_all_local_folder_messages(name_f);
 		}
-	}
+	};
 
 	var proxy_mensagens;
Index: trunk/expressoMail1_2/js/jscode/load_lang.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/load_lang.js	(revision 2561)
+++ trunk/expressoMail1_2/js/jscode/load_lang.js	(revision 2572)
@@ -4,4 +4,5 @@
 	var _connector = new XConnector;
 
+	_connector.cache();
 	var request = _connector.go( {
 		'access' : URL_SERVER + '/expressoMail1_2/inc/load_lang.php?lang=' + lang,
Index: trunk/expressoMail1_2/js/jscode/wfolders.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/wfolders.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/wfolders.js	(revision 2572)
@@ -28,5 +28,5 @@
 		el.appendChild(space);
 
-		var butt = Element('dJSWin_wfolders_bok')
+		var butt = Element('dJSWin_wfolders_bok');
 		if (!butt){
 			butt = document.createElement('INPUT');
@@ -116,10 +116,10 @@
 			wfolders_tree.getNodeById('local_Inbox')._select();
 		_this.showWindow(el, type);
-	}
+	};
 
 	cWFolders.prototype.makeWindow = function(border_id, type)
 	{
 		this.makeWindowNew(border_id,type,false);
-	}
+	};
 	
 	cWFolders.prototype.showWindow = function (div, type)
@@ -157,5 +157,5 @@
 		}
 		win.open();
-	}
+	};
 	
 /* Build the Object */
Index: trunk/expressoMail1_2/js/jscode/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2521)
+++ trunk/expressoMail1_2/js/jscode/doiMenuData.js	(revision 2572)
@@ -73,5 +73,5 @@
 			unset_menu_bg(Element("link_tools"));	
 		_timeout = setTimeout("_hideMenuTools();",500);
-	}
+	};
 
 	var _t = document.createElement("TABLE");
@@ -126,5 +126,5 @@
 		_tr.appendChild(_td);
 		return _tr;
-	}
+	};
 	
 	for(i = 0; i < itens.length; i++)
Index: trunk/expressoMail1_2/js/jscode/DropDownContacts.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/DropDownContacts.js	(revision 2561)
+++ trunk/expressoMail1_2/js/jscode/DropDownContacts.js	(revision 2572)
@@ -16,5 +16,5 @@
 	div_message_scroll = Element('div_message_scroll_'+ fld_id.substring(fld_id.length - 1, fld_id.length));
 
-	var string_contacts = contacts
+	var string_contacts = contacts;
 	if (Element(fld_id))
 		var mail = Element(fld_id).value;
@@ -91,5 +91,5 @@
 		}
 		//lines = lines + "<tr><td id=td_DD_"+i+" onClick=\"javascript:hideTip();makeMailList('"+match_contacts[i]+"','"+fld_id+"');document.getElementById('" + fld_id + "').focus();\" onmouseover=\"selectContact("+i+")\">" + match_contacts[i] + "</td></tr>"
-		lines = lines + "<tr><td id=td_DD_"+i+" onMouseDown=\"javascript:hideTip();makeMailList('"+match_cont+"','"+fld_id+"');setTimeout('document.getElementById(\\'"+fld_id+"\\').focus()',300);\" onmouseover=\"selectContact("+i+")\">" + match_cont + "</td></tr>"
+		lines = lines + "<tr><td id=td_DD_"+i+" onMouseDown=\"javascript:hideTip();makeMailList('"+match_cont+"','"+fld_id+"');setTimeout('document.getElementById(\\'"+fld_id+"\\').focus()',300);\" onmouseover=\"selectContact("+i+")\">" + match_cont + "</td></tr>";
 		match_cont = "";
 	}
@@ -128,6 +128,6 @@
 
 	if (lines != ''){
-		table_contacts = table_contacts_header + lines + table_contacts_foot
-		doTooltip(posX, posY, table_contacts)
+		table_contacts = table_contacts_header + lines + table_contacts_foot;
+		doTooltip(posX, posY, table_contacts);
 	}
 	else
@@ -140,5 +140,5 @@
 {
 	list = Element(fld_id);
-	for (var i = list.value.length; ((i!=0) && (list.value.substring(i-1,i)!=',')); i--){}
+	for (var i = list.value.length; ((i!=0) && (list.value.substring(i-1,i)!=',')); i--) {  };
 	mail = mail.replace(/&lt;/g,"<");
 	mail = mail.replace(/&gt;/g,">");
@@ -183,5 +183,5 @@
 		while (obj.offsetParent)
 		{
-			curleft += obj.offsetLeft
+			curleft += obj.offsetLeft;
 			obj = obj.offsetParent;
 		}
@@ -199,5 +199,5 @@
 		while (obj.offsetParent)
 		{
-			curtop += obj.offsetTop
+			curtop += obj.offsetTop;
 			obj = obj.offsetParent;
 		}
Index: trunk/expressoMail1_2/js/jscode/color_palette.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/color_palette.js	(revision 2517)
+++ trunk/expressoMail1_2/js/jscode/color_palette.js	(revision 2572)
@@ -12,5 +12,5 @@
 						new Array("#000000","#330000","#663300","#663333","#333300","#003300","#003333","#000066","#330099","#330033"));
 	this.buildPalette();
-}
+};
 
 // funçoes
@@ -20,5 +20,5 @@
 	document.getElementById("palettecolor").style.visibility="hidden";
 	mainField.focus();
-}
+};
 
 cColorPalette.prototype.repos = function (intElemScrollTop)
@@ -26,5 +26,5 @@
 	var new_pos = findPosY(Element("forecolor")) - intElemScrollTop + 20;
 	this.div.style.top = new_pos;
-}
+};
 
 cColorPalette.prototype.loadPalette = function (id)
@@ -48,5 +48,5 @@
 		this.div.style.left = findPosY(Element("forecolor"))+ 227;
 	}
-}
+};
 
 cColorPalette.prototype.buildPalette = function (){
@@ -83,5 +83,5 @@
 	  		_td.onclick= function(){ document.getElementById("palettecolor").style.visibility="hidden";ColorPalette.changeFontColor(this.id);};
 	  		_td.onmouseover = function(){ this.className = "sel_color";};
-	  		_td.onmouseout = function(){ this.className = "unsel_color";}
+	  		_td.onmouseout = function(){ this.className = "unsel_color";};
 			var p = new Image();
   			p.style.width='1px';
@@ -91,5 +91,5 @@
   		}
 	}
-}
+};
 
 /* Build the Object */
Index: trunk/expressoMail1_2/js/jscode/rich_text_editor.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2561)
+++ trunk/expressoMail1_2/js/jscode/rich_text_editor.js	(revision 2572)
@@ -6,5 +6,5 @@
 	this.buildEditor();
 	this.saveFlag = 0;
-}
+};
 
 cRichTextEditor.prototype.loadEditor = function(ID) {
@@ -36,5 +36,5 @@
 	document.getElementById('fontname').selectedIndex = 0;
 	document.getElementById('fontsize').selectedIndex = 0;
-}
+};
 
 cRichTextEditor.prototype.createElementEditor = function(pObj)
@@ -65,5 +65,5 @@
 		parentDiv.appendChild(checkbox);
 		parentDiv.appendChild(text);
-}
+};
 
 cRichTextEditor.prototype.viewsource = function(source) {
@@ -100,5 +100,5 @@
 		}
 	}
-}
+};
 
 cRichTextEditor.prototype.buildEditor = function() {
@@ -203,5 +203,5 @@
 	tbody.appendChild(tr);
 	this.table.appendChild(tbody);
-}
+};
 
 cRichTextEditor.prototype.editorCommand = function(command, option) {
@@ -245,5 +245,5 @@
 		//mainField.focus();
     } catch (e) {/* alert(e);*/ }
-}
+};
 
 cRichTextEditor.prototype.createLink = function(){
@@ -265,5 +265,5 @@
 		this.editorCommand("CreateLink", szURL);
 	}
-}
+};
 
 // It include the image file in emails body
@@ -309,5 +309,5 @@
 	save_msg(id,true);
 	setTimeout("RichTextEditor.insertImgHtml("+id+")",1000);
-}
+};
 
 cRichTextEditor.prototype.insertImgHtml = function (id){
@@ -318,5 +318,5 @@
 			this.editorCommand('Image', './inc/show_embedded_attach.php?msg_folder=INBOX/'+draftsfolder+'&msg_num='+openTab.imapUid[id]+'&msg_part='+(openTab.countFile[id]+1));
 			// this.editorCommand('Image', '.inc/gotodownload.php?msg_folder="+msg_folder+"&msg_number="+msg_number+"&idx_file="+idx_file+"&msg_part="+msg_part+params'));
-}
+};
 
 cRichTextEditor.prototype.insertTableHtml = function (){
@@ -334,5 +334,5 @@
 	insertTable += "</tbody></table>";
 	this.editorCommand('Table', insertTable);
-}
+};
 
 cRichTextEditor.prototype.createTable = function(){
@@ -370,10 +370,10 @@
 		
 		this.showWindow(form);
-		}
+		};
 
 cRichTextEditor.prototype.incrementField = function(id_val){
 	var field_text = document.getElementById(id_val);
 	field_text.value = parseInt(field_text.value)+1;
-}
+};
 
 cRichTextEditor.prototype.decrementField = function(id_val){
@@ -381,5 +381,5 @@
 	if (parseInt(field_text.value) > 0)
 		field_text.value = parseInt(field_text.value)-1;
-}
+};
 
 cRichTextEditor.prototype.createImage = function(){
@@ -419,5 +419,5 @@
 		
 		this.showWindow(form);
-}
+};
 cRichTextEditor.prototype.showWindow = function (div){
 
@@ -453,5 +453,5 @@
 			win = this.emwindow[div.id];
 		win.open();	
-}
+};
 
 cRichTextEditor.prototype.Select = function(selectname)
@@ -466,5 +466,5 @@
 	}
 	mainField.focus();
-}
+};
 
 cRichTextEditor.prototype.show_pc = function(command)
@@ -476,13 +476,13 @@
 	else
 		this.hide_pc();
-}
+};
 
 cRichTextEditor.prototype.hide_pc = function()
 {
 	document.getElementById("palettecolor").style.visibility="hidden";
-}
+};
 
 cRichTextEditor.prototype.getOffsetTop = function(elm) {
-  var mOffsetTop = elm.offsetTop;1
+  var mOffsetTop = elm.offsetTop;
   var mOffsetParent = elm.offsetParent;
   while(mOffsetParent){
@@ -491,5 +491,5 @@
   }
   return mOffsetTop;
-}
+};
 
 cRichTextEditor.prototype.getOffsetLeft = function(elm) {
@@ -501,3 +501,3 @@
   }
   return mOffsetLeft;
-}
+};