Index: /trunk/workflow/setup/setup.inc.php
===================================================================
--- /trunk/workflow/setup/setup.inc.php	(revision 2042)
+++ /trunk/workflow/setup/setup.inc.php	(revision 2589)
@@ -16,6 +16,6 @@
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
-	$setup_info['workflow']['author']		= 'Ported from tikiwiki, modified by regis_glc alpeb & mbartz<br>Customized to ExpressoLivre by viani, rodrigolira, mariceli, drovetto, carloseduardo, rufino, asaikawa, gbisotto, julianadelgado & rodsouza<br>See changeLog for full names.';
-	$setup_info['workflow']['note']			= 'Workflow engine';
+	$setup_info['workflow']['author']		= 'See changeLog for complete list of developers.';
+	$setup_info['workflow']['note']			= 'Workflow Engine';
 	$setup_info['workflow']['license']		= 'GPL';
 	$setup_info['workflow']['description']		= 'Workflow Management';
@@ -59,9 +59,9 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('1.0.0','1.0.1','1.2', '2.0', '2.1')
+		'versions' => Array('1.0.0','1.0.1','1.2', '2.0', '2.1', '2.2')
 	);
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('1.0.0', '0.9.13.002', '2.0', '2.1')
+		'versions' => Array('1.0.0', '0.9.13.002', '2.0', '2.1', '2.2')
 	);
 ?>
Index: /trunk/workflow/setup/tables_update.inc.php
===================================================================
--- /trunk/workflow/setup/tables_update.inc.php	(revision 2042)
+++ /trunk/workflow/setup/tables_update.inc.php	(revision 2589)
@@ -1216,4 +1216,18 @@
 	{
 		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function workflow_upgrade2_0_003()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
+	$test[] = '2.0.004';
+	function workflow_upgrade2_0_004()
+	{
+		#updating the current version
 		$GLOBALS['setup_info']['workflow']['currentver'] = '2.1.000';
 		return $GLOBALS['setup_info']['workflow']['currentver'];
Index: /trunk/workflow/doc/change_log.txt
===================================================================
--- /trunk/workflow/doc/change_log.txt	(revision 1712)
+++ /trunk/workflow/doc/change_log.txt	(revision 2589)
@@ -15,6 +15,20 @@
 arifragoso is Ari Fragoso de Medeiros Junior
 hermespinheiro is Hermes Pinheiro Neto
-
-Os registros estão listados em ordem decrescente de data de realização.
+pedroerp is Pedro Eugênio Rocha Pedreira
+
+[2.2.000]
+
+	#1004 - Melhorado o método getEmployeeCostCenterID para que retorne o id da área caso não exista o id do centro de custo do funcionário. (gbisotto)
+	#946 - Possibilitar que o plugin smarty wf_autocomplete_input atualize a lista de seleção a cada tecla pressionada. (asaikawa)
+	#944 - Alteração na função javascript get_form_fields para retornar em array os elementos identificados com '[]'. (asaikawa)
+	#943 - Criar na classe wf_location, uma consulta de cidades pelo início do nome. (asaikawa)
+	#942 - Ajustar a classe wf_location para considerar a nova coluna que identifica se o registro é distrito. (asaikawa)
+	#935 - Incluída opção para listar funcionários em ordem alfabética geral na impressão do organograma. (pedroerp)
+	#928 - Incluída busca por telefone no organograma. (pedroerp)
+	#916 - Criada nova variável wf_webserver_url no contexto de execução dos processos. (pedroerp)
+	#870 - Correção de bug no parâmetro print_mode da classe run_activity. (pedroerp)
+	#869 - Indentificação do titular e substituro de áreas do organograma. (pedroerp)
+	#868 - Correção da altura das janelas de edição do organograma. (pedroerp)
+	#441 - Inclusão do período de substituição de chefia no organograma. (pedroerp)
 
 [2.1.000]
@@ -27,14 +41,28 @@
 	#658 - Correção no alinhamento dos ícones de aplicações externas. Ao redimensionar a janela, o ícones são reorganizados. (gbisotto)
 	#657 - Correção no alinhamento do menu de atividades dos processos. Ao redimensionar a janela, os menus são reorganizados. (gbisotto).
+	#643 - Criação do método createNewInstance na classe JobBase, que possibilita iniciar uma instância do processo a partir de um job. (rufino)
 	#639 - Inclusão de cor em destaque ao passar o mouse sobre uma linha nas visualizações do organograma. (rodsouza)
 	#638 - Mudança na query de busca do organograma para pesquisar também por áreas. (rodsouza)
-	#643 - Criação do método createNewInstance na classe JobBase, que possibilita iniciar uma instância do processo a partir de um job. (rufino)
+	#637 - Inclusão de click-to-call no organograma e outras melhorias na interface. (rodsouza)
 	#442 - Criação do plugin wf_autocomplete_input, para listar com autocomplete o resultado de uma busca ajax. (rufino)
-	#637 - Inclusão de click-to-call no organograma e outras melhorias na interface. (rodsouza)
+
+[2.0.004]
+
+	#1045 - Corrigido bug de sessão nas chamadas ajax de processos. (viani)
+	#951 - Corrigido bug na verificação de sessão ativa nas chamadas ajax de processos. (viani)
+
+[2.0.003]
+
+	#899 - Atualização do arquivo default_records com relação ao organograma. (pedroerp)
+
+[2.0.001]
+
+	#671 - Inclusão do arquivo header.session.inc.php para a verificação de segurança de sessão. (asaikawa)
 
 [2.0.000]
 
-	* Correção de bug no método getByUser da classe wf_instance. (hermespinheiro)
-	* Melhorias no organograma, com novas visualizações nas interfaces. (rodsouza)
+	#641 - Correção de bug no método getByUser da classe wf_instance. (hermespinheiro)
+	#589 - Melhorias no organograma, com novas visualizações nas interfaces. (rodsouza)
+	#439 - Redução do tempo de carga dos funcionários de uma área no organograma (rodsouza)
 
 [1.8.05.000]
Index: /trunk/workflow/index.php
===================================================================
--- /trunk/workflow/index.php	(revision 2162)
+++ /trunk/workflow/index.php	(revision 2589)
@@ -9,4 +9,7 @@
 *  option) any later version.                                              *
 \**************************************************************************/
+
+/* Including common stuff to prepare workflow to run. A session start is needed */
+require_once 'inc/common.inc.php';
 
 /* if the menuaction variable is set, then let the expresso index deal with it */
@@ -39,5 +42,4 @@
 	);
 	require_once '../header.inc.php';
-	require_once 'inc/common.inc.php';
 
 	if (isset($_GET['start_tab']))